Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for HTTP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.otd.httpserveradapter.webservice
Class WebServerApplication

    java.lang.Object
      com.stc.connector.otd.httpserveradapter.webservice.WebServerApplication

    public class WebServerApplication

extends java.lang.Object

HTTP Application implementation for Java collaboration.

Version:
  $Revision: 1.4 $

Constructor Summary
`WebServerApplication(ServletCMRequest cmRequest, WebRequest request, WebResponse response)` Constructor.

Method Summary
`WebRequest` | `getRequest()` Get the WebRequest object which contains the request data from the client.
`WebResponse` | `getResponse()` Get the WebResponse object used to send a response after processing a request.
`void` | `sendResponse()` Sends the web response to the client.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WebServerApplication

    public WebServerApplication(ServletCMRequest cmRequest,
                                WebRequest request,
                                WebResponse response)

  Constructor.

  Parameters:
    `cmRequest` - The ServletCMRequest object which contains an instance of this class. The ServletCMRequest will be used to notify completion of response processing so that the waiting servlet thread can complete the response processing.
    `request` - The web request which contains the request data from the client.
    `response` - The web response which will be used by the user in the Java collab to set the web response data and will be processed and returned to the client by the servlet.

Method Detail

### getRequest

    public WebRequest getRequest()
                          throws HttpServerException

  Get the WebRequest object which contains the request data from the client.

  Returns:
    A WebRequest object.
  Throws:
    `HTTPApplicationException` - upon error.
    `HttpServerException`

### getResponse

    public WebResponse getResponse()
                            throws HttpServerException

  Get the WebResponse object used to send a response after processing a request.

  Returns:
    A WebResponse object.
  Throws:
    `HTTPApplicationException` - upon error.
    `HttpServerException`

### sendResponse

    public void sendResponse()
                      throws HttpServerException

  Sends the web response to the client.

  Throws:
    `HttpServerException`
  See Also:
    `getResponse()`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for HTTP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All Rights Reserved.